package cn.palmte.work.controller.backend;

import cn.palmte.work.model.Project;
import cn.palmte.work.service.ProjectFinalSevice;
import cn.palmte.work.service.ProjectService;
import cn.palmte.work.utils.FreeMarkerUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@Controller
@RequestMapping("/project/final")
public class ProjectFinalController extends BaseController{

    @Autowired
    private ProjectFinalSevice projectFinalSevice;

    @Autowired
    private ProjectService projectService;

    @RequestMapping("/edit")
    public String budget(@RequestParam("id") int id, Map<String, Object> model) {
        Project project = projectService.getProject(id);
        model.put("project", project);
        model.put("finalBean", projectFinalSevice.getFinal(project));
        //freemarker可以利用的静态方法
        model.put("Utils", FreeMarkerUtil.fromStaticPackage("cn.palmte.work.utils.Utils"));
        return "admin/project_final_edit";
    }

}
