package cn.palmte.work.model;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;

/**
 * @author Yuanping Zhang
 * @date 2021/11/1
 */
public interface ProjectUserTimeRepository extends JpaRepository<ProjectUserTime, Integer> {

    @Query(value = "select * from project_user_time where user_id = ? and project_id = ? and time = ? limit 1", nativeQuery = true)
    public ProjectUserTime findByUserIdAndProjectIdAndTime(int userId, int projectId, Date time);
}
