package cn.palmte.work.service;


import cn.palmte.work.config.activiti.ActConstant;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.*;


/**
 * 流程回调脚本 参数必须为Map
 */
@Service
public class ActCallbackScript {
    private static final Logger logger = LoggerFactory.getLogger(ActCallbackScript.class);


    public void endScriptDemo(Map map) {
        logger.info("--- endScriptDemo--- : {} ", map);
        String startUserId = (String)map.get(ActConstant.START_PROCESS_USERID);
        String procInsId = (String)map.get(ActConstant.START_PROCESS_USERID);
        logger.info(" startUserId:{}, procInsId:{}", startUserId, procInsId);
    }


    public void rollbackScriptDemo(Map map) {
        logger.info("--- rollbackScriptDemo--- : {} ", map);
        String startUserId = (String)map.get(ActConstant.START_PROCESS_USERID);
        String procInsId = (String)map.get(ActConstant.START_PROCESS_USERID);
        logger.info(" startUserId:{}, procInsId:{}", startUserId, procInsId);
    }

}
