function calIncomeAndCost() {
    $("input[name='incomeDeviceTaxInclude']").change(function () {
        calIncomeInclude();
        calIncomeCost();
    });
    $("input[name='incomeEngineerTaxInclude']").change(function () {
        calIncomeInclude();
        calIncomeCost();
    });
    $("input[name='incomeServiceTaxInclude']").change(function () {
        calIncomeInclude();
        calIncomeCost();
    });
    $("input[name='incomeDeviceTaxExclude']").change(function () {
        calIncomeExclude();
        calIncomeCost();
    });
    $("input[name='incomeEngineerTaxExclude']").change(function () {
        calIncomeExclude();
        calIncomeCost();
    });
    $("input[name='incomeServiceTaxExclude']").change(function () {
        calIncomeExclude();
        calIncomeCost();
    });




    $("input[name='costPurchaseDeviceTaxInclude']").change(function () {
        calCostInclude();
        calIncomeCost();
    });
    $("input[name='costPurchaseBuildTaxInclude']").change(function () {
        calCostInclude();
        calIncomeCost();
    });
    $("input[name='costPurchaseServiceTaxInclude']").change(function () {
        calCostInclude();
        calIncomeCost();
    });
    $("input[name='costPurchaseOtherTaxInclude']").change(function () {
        calCostInclude();
        calIncomeCost();
    });
    /*$("input[name='costProjectManageTaxInclude']").change(function () {
        calCostInclude();
        calIncomeCost();
    });*/
    $("input[name='costOtherOtherTaxInclude']").change(function () {
        calCostInclude();
        calIncomeCost();
    });

    $("input[name='costPurchaseDeviceTaxExclude']").change(function () {
        calCostExclude();
        calIncomeCost();
    });
    $("input[name='costPurchaseBuildTaxExclude']").change(function () {
        calCostExclude();
        calIncomeCost();
    });
    $("input[name='costPurchaseServiceTaxExclude']").change(function () {
        calCostExclude();
        calIncomeCost();
    });
    $("input[name='costPurchaseOtherTaxExclude']").change(function () {
        calCostExclude();
        calIncomeCost();
    });
    $("input[name='costProjectManageTaxExclude']").change(function () {
        calCostExclude();
        calIncomeCost();
    });
    $("input[name='costOtherOtherTaxExclude']").change(function () {
        calCostExclude();
        calIncomeCost();
    });


    $("input[name='costExpropriationTaxExclude']").change(function () {
        calIncomeCost();
    });
    $("input[name='costCompanyManageTaxExclude']").change(function () {
        calIncomeCost();
    });
}

/**
 * 统计收入(含税)，有一项没填就置空
 */
function calIncomeInclude() {
    var incomeDeviceTaxInclude = $("input[name='incomeDeviceTaxInclude']").val();
    var incomeEngineerTaxInclude = $("input[name='incomeEngineerTaxInclude']").val();
    var incomeServiceTaxInclude = $("input[name='incomeServiceTaxInclude']").val();

    var incomeTotalTaxInclude = $("input[name='incomeTotalTaxInclude']");

    if(incomeDeviceTaxInclude && incomeEngineerTaxInclude && incomeServiceTaxInclude){
        incomeTotalTaxInclude.val(parseFloat(incomeDeviceTaxInclude)+parseFloat(incomeEngineerTaxInclude)+parseFloat(incomeServiceTaxInclude));
    }else {
        incomeTotalTaxInclude.val("");
    }
}
/**
 * 统计收入(不含税)，有一项没填就置空
 */
function calIncomeExclude() {
    var incomeDeviceTaxExclude = $("input[name='incomeDeviceTaxExclude']").val();
    var incomeEngineerTaxExclude = $("input[name='incomeEngineerTaxExclude']").val();
    var incomeServiceTaxExclude = $("input[name='incomeServiceTaxExclude']").val();

    var incomeTotalTaxExclude = $("input[name='incomeTotalTaxExclude']");

    if(incomeDeviceTaxExclude && incomeEngineerTaxExclude && incomeServiceTaxExclude){
        incomeTotalTaxExclude.val(parseFloat(incomeDeviceTaxExclude)+parseFloat(incomeEngineerTaxExclude)+parseFloat(incomeServiceTaxExclude));
    }else {
        incomeTotalTaxExclude.val("");
    }
}

/**
 * 统计成本(含税)，有一项没填就置空
 */
function calCostInclude() {
    var costPurchaseDeviceTaxInclude = $("input[name='costPurchaseDeviceTaxInclude']").val();
    var costPurchaseBuildTaxInclude = $("input[name='costPurchaseBuildTaxInclude']").val();
    var costPurchaseServiceTaxInclude = $("input[name='costPurchaseServiceTaxInclude']").val();
    var costPurchaseOtherTaxInclude = $("input[name='costPurchaseOtherTaxInclude']").val();
    //var costProjectManageTaxInclude = $("input[name='costProjectManageTaxInclude']").val();
    var costOtherOtherTaxInclude = $("input[name='costOtherOtherTaxInclude']").val();


    var costTotalTaxInclude = $("input[name='costTotalTaxInclude']");

    if(costPurchaseDeviceTaxInclude && costPurchaseBuildTaxInclude && costPurchaseServiceTaxInclude && costPurchaseOtherTaxInclude /*&& costProjectManageTaxInclude*/ && costOtherOtherTaxInclude){
        costTotalTaxInclude.val(parseFloat(costPurchaseDeviceTaxInclude)+parseFloat(costPurchaseBuildTaxInclude)+parseFloat(costPurchaseServiceTaxInclude)+parseFloat(costPurchaseOtherTaxInclude)/*+parseFloat(costProjectManageTaxInclude)*/+parseFloat(costOtherOtherTaxInclude));
    }else {
        costTotalTaxInclude.val("");
    }
}
/**
 * 统计成本(不含税)，有一项没填就置空
 */
function calCostExclude() {
    var costPurchaseDeviceTaxExclude = $("input[name='costPurchaseDeviceTaxExclude']").val();
    var costPurchaseBuildTaxExclude = $("input[name='costPurchaseBuildTaxExclude']").val();
    var costPurchaseServiceTaxExclude = $("input[name='costPurchaseServiceTaxExclude']").val();
    var costPurchaseOtherTaxExclude = $("input[name='costPurchaseOtherTaxExclude']").val();
    var costProjectManageTaxExclude = $("input[name='costProjectManageTaxExclude']").val();
    var costOtherOtherTaxExclude = $("input[name='costOtherOtherTaxExclude']").val();


    var costTotalTaxExclude = $("input[name='costTotalTaxExclude']");

    if(costPurchaseDeviceTaxExclude && costPurchaseBuildTaxExclude && costPurchaseServiceTaxExclude && costPurchaseOtherTaxExclude && costProjectManageTaxExclude && costOtherOtherTaxExclude){
        costTotalTaxExclude.val(parseFloat(costPurchaseDeviceTaxExclude)+parseFloat(costPurchaseBuildTaxExclude)+parseFloat(costPurchaseServiceTaxExclude)+parseFloat(costPurchaseOtherTaxExclude)+parseFloat(costProjectManageTaxExclude)+parseFloat(costOtherOtherTaxExclude));
    }else {
        costTotalTaxExclude.val("");
    }
}

/**
 * 计算毛利、毛利率、贡献、贡献率
 */
function calIncomeCost() {
    var incomeTotalTaxExclude = $("input[name='incomeTotalTaxExclude']").val();
    var costTotalTaxExclude = $("input[name='costTotalTaxExclude']").val();
    var costExpropriationTaxExclude = $("input[name='costExpropriationTaxExclude']").val();
    var costCompanyManageTaxExclude = $("input[name='costCompanyManageTaxExclude']").val();

    var projectGrossProfit = $("input[name='projectGrossProfit']");
    var projectGrossProfitRate = $("input[name='projectGrossProfitRate']");
    var projectContributionProfit = $("input[name='projectContributionProfit']");
    var projectContributionProfitRate = $("input[name='projectContributionProfitRate']");

    if (incomeTotalTaxExclude && costTotalTaxExclude && costExpropriationTaxExclude) {
        projectGrossProfit.val(parseFloat(incomeTotalTaxExclude) - parseFloat(costTotalTaxExclude) - parseFloat(costExpropriationTaxExclude));
        projectGrossProfitRate.val(parseFloat(projectGrossProfit.val()) * 100 / parseFloat(incomeTotalTaxExclude));
    } else {
        projectGrossProfit.val("");
        projectGrossProfitRate.val("");
    }

    if (projectGrossProfit.val() && costCompanyManageTaxExclude) {
        projectContributionProfit.val(parseFloat(projectGrossProfit.val()) - parseFloat(costCompanyManageTaxExclude));
        projectContributionProfitRate.val(parseFloat(projectContributionProfit.val()) * 100 / parseFloat(incomeTotalTaxExclude))
    } else {
        projectContributionProfit.val("");
        projectContributionProfitRate.val("");
    }
}