<#assign base=request.contextPath />
<html>
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>项目四算管理系统</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <link rel="icon" type="image/png" href="${base}/favicon.png">
    <meta name="mobile-web-app-capable" content="yes">
    <link rel="icon" sizes="192x192" href="${base}/favicon.png">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <meta name="apple-mobile-web-app-title" content="Amaze UI"/>
    <link rel="apple-touch-icon-precomposed" href="${base}/favicon.png">
    <meta name="msapplication-TileImage" content="${base}/favicon.png">
    <meta name="msapplication-TileColor" content="#0e90d2">
    <link rel="stylesheet" href="${base}/assets/css/amazeui.min.css">
    <link rel="stylesheet" href="${base}/assets/css/app.css">
    <style type="text/css">
        body {
            background: -webkit-linear-gradient(top,#5692f4,#3a6cde);
            background-color: #0E90D2;
        }
        #img {
            padding-top:100px;
            padding-left: 60px;
            overflow-y:auto;
        }
        #login {
            margin-top:40%;
            margin-right: 80px;
            /*padding-bottom: 50px;*/
            padding: 20px 25px 50px 25px;
            width:380px;
            background: #ECEFF1;
            border-radius: 6px;
            text-align: center;
            -webkit-box-shadow: 2px 2px 3px #aaa;
            -moz-box-shadow: 2px 2px 3px #aaa;
            filter: progid:DXImageTransform.Microsoft.Shadow(Strength=3, Direction=135, Color='#999999');
            box-shadow: 2px 2px 0 rgba(0, 0, 0, 0.1);
        }
        #login h1 {
            display: block;
            margin-bottom: 20px;
            border-bottom: 1px solid #DFDFDF;
            text-align: center;
            height: 40px;
            line-height: 30px;
            color: #304b65;
            font-size: 21px;
            font-weight: 300;
        }
    </style>
</head>
<body onload="checkParent()">

<div class="am-g am-g-collapse" id="allPage">
<#--    <div class="am-u-sm-4 am-u-md-6 am-u-lg-8" style="overflow: hidden;">-->
<#--        <div id="img" style="overflow: hidden;">-->
<#--            <image class="am-hide-md-down" src="${base}/img/login_bg2.png">-->
<#--        </div>-->
<#--    </div>-->
    <div class="am-u-sm-8 am-u-md-6 am-u-lg-4" style="float: right;margin-right: 30px">
        <div id="login">
            <h1>项目四算管理系统</h1>
            <form method="post" id="loginForm" class="am-form" action="${base}/admin/singIn" >
                <div class="am-form-group am-input-group">
                    <span class="am-input-group-label"><i class="am-icon-user am-icon-fw"></i></span>
                    <input type="text"  id="username" name="userName" autocomplete="off" class="am-form-field" placeholder="输入你的用户名">
                </div>
                <div class="am-form-group am-input-group">
                    <span class="am-input-group-label"><i class="am-icon-lock am-icon-fw"></i></span>
                    <input type="password" class="am-form-field"  id="password" autocomplete="off" name="password" placeholder="输入你的密码">
                </div>
                <#--
                <div class="am-form-group am-input-group">
                    <span class="am-input-group-label"><i class="am-icon-key am-icon-fw"></i></span>
                    <input type="text" class="am-form-field" id="captchaToken" name="captchaToken" placeholder="输入验证码">
                    <span class="am-input-group-btn">
                        <img id="captchaImage" src="${base}/admin/captcha?width=100&height=35&fontsize=30" alt="换一张" />
                    </span>
                </div>-->
                <div class="am-cf">
                    <input id="loginBtn" type="submit" name="" value="登 录" class="am-u-sm-12 am-btn am-btn-primary am-btn-sm am-fl">
                </div>
                <div id="msg" style="color: red">${errorMessages!}</div>
            </form>
        </div>
    </div>
</div>


<script type="text/javascript" src="${base}/assets/js/jquery.min.js"></script>
<script type="text/javascript" src="${base}/assets/js/amazeui.min.js"></script>
<script type="text/javascript" src="${base}/assets/js/amazeui.switch.min.js"></script>
<script src="${base}/assets/js/amazeui.ie8polyfill.min.js"></script>
<script type="text/javascript" src="${base}/common/js/rsa/jsencrypt.min.js"></script>
<script type="text/javascript" src="${base}/common/js/rsa/crypto-js.js"></script>
<script type="text/javascript">

    var checkParent = function(){
        if(window.parent.length>0){
            window.parent.location="${base}/admin/login";
        }
    }
    function encryptByDES(message, key) {
        var keyHex = CryptoJS.enc.Utf8.parse(key);
        var encrypted = CryptoJS.DES.encrypt(message, keyHex, {
            iv: keyHex,
            mode: CryptoJS.mode.CBC,
            padding: CryptoJS.pad.Pkcs7
        });
        return encrypted.ciphertext.toString().toUpperCase();
    };
    $().ready( function() {

        /*var $captcha = $("#captcha");
        var $captchaImage = $("#captchaImage");

        $captchaImage.click( function() {
            var timestamp = (new Date()).valueOf();
            var imageSrc = $captchaImage.attr("src");
            if(imageSrc.indexOf("?") >= 0) {
                imageSrc = imageSrc.substring(0, imageSrc.indexOf("?"));
            }
            imageSrc = imageSrc + "?timestamp=" + timestamp + "&width=100&height=35&fontsize=30";
            $captchaImage.attr("src", imageSrc);
        });*/


        //登录
        $("#loginForm").submit(function(){
            var username = $.trim($("#username").val());
            var passwd = $.trim($("#password").val());
            //var vcode = $.trim($("#captchaToken").val());
            if(username.length == 0) {
                $("#msg").html("用户名不能为空");
                return false;
            } else if(passwd.length == 0) {
                $("#msg").html("密码不能为空");
                return false;
            }/* else if(vcode.length != 4) {
                $("#msg").html("验证码错误");
                return false;
            }*/
           /* $("#password").val(encryptByDES(passwd,"C36DF8PM"));
            $("#username").val(encryptByDES(username,"C36DF8PM"));
            $("#captchaToken").val(encryptByDES(vcode,"C36DF8PM"));*/


            var encrypt = new JSEncrypt();
            encrypt.setPublicKey("${publickey}");
            var encrypted = encrypt.encrypt(passwd);
            console.log(encrypted);
            $("#password").val(encrypt.encrypt(passwd));
            $("#username").val(encrypt.encrypt(username));
            //$("#captchaToken").val(encrypt.encrypt(vcode));



        });


    });

</script>

</body>
</html>