<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>
    <link rel="stylesheet" href="${base}/assets/css/amazeui.switch.css"/>
    <div class="admin-content">
        <div class="am-cf am-padding" style="padding:1rem 1.6rem 1.6rem 1rem;margin:0px;">
            <!--  padding:1px 2px 3px 4px;上、右、下,和左   -->
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">工作流程</strong> /
                <small>审批过程</small>
            </div>
        </div>

        <div class="am-g">
            <div class="am-u-sm-12 am-scrollable-horizontal">
                <!--  padding:1px 2px 3px 4px;上、右、下,和左   -->
                <table class="am-table am-table-striped am-table-hover table-main">
                    <thead>
                    <tr class="am-text-nowrap">
                        <th class="table-title">序号</th>
                        <th class="table-title">任务节点</th>
                        <th class="table-title">处理人</th>
                        <th class="table-date">开始时间</th>
                        <th class="table-date">结束时间</th>
                        <th class="table-date">用时</th>
                        <th class="table-set am-text-center">意见</th>
                    </tr>
                    </thead>
                    <tbody>
                    <#if (taskList)?exists>
                        <#list  taskList as list>
                            <tr>
                                <td>${list_index+1!}</td>
                                <td>${list.taskName!}</td>
                                <td>${list.assign!}</td>
                                <td>${list.startTime?datetime}</td>
                                <td><#if list.endTime??>
                                        ${list.endTime?datetime}
                                </#if></td>
                                <td>${list.duration!}</td>
                                <td>${list.comments!}</td>
                            </tr>
                        </#list>
                    </#if>
                    </tbody>
                </table>

                <div class="am-cf">
                    <!-- 分页 -->
                    <#if (pager.list)?exists  && (pager.list?size>0) >
                        <div class="am-fr">
                            <#include "../common/common_pager.ftl">
                        </div>
                    <#else>
                        <div class="am-kai" align="center">
                            <h3>没有找到任何记录!</h3>
                        </div>
                    </#if>
                </div>
            </div>
        </div>

        <div class="am-margin">
            <#--<button type="submit" class="am-btn am-btn-primary am-btn-xs">提交保存</button>-->
            <button type="button" class="am-btn am-btn-warning am-btn-xs"
                    onclick="location.href='${base}/actProcIns/list'">返回
            </button>
        </div>

    </div>
</@defaultLayout.layout>

<script src="${base}/assets/js/amazeui.switch.js"></script>
<script type="text/javascript">
    var urlBase = "${base}";
    var url;

    $(function () {


    });
</script>